This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 426063 - Book_Info.xml template references a currently non-extant svg image
Book_Info.xml template references a currently non-extant svg image
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Jeff Fearn
Michael Hideo
: Documentation, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-17 22:49 EST by Brian Forte
Modified: 2014-06-18 03:49 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-02 00:24:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Brian Forte 2007-12-17 22:49:53 EST
Description of problem:
Regarding the Book_Info.xml template. This template currently includes the following:

<imageobject>
<imagedata fileref="Common_Content/images/redhat-logo.svg" />
</imageobject>

When a book is built to html this becomes

<span class="inlinemediaobject"><img src="Common_Content/images/redhat-
logo.svg"/></span>

Version-Release number of selected component (if applicable):
n/a

How reproducible:
Always

Steps to Reproduce:
1. create book using Book_Info.xml template.
2. build book.
 
Actual Results:
the 'missing image' icon to appear in WebKit/KHTML-based browsers. Mozilla-based browsers elide 
over the missing image silently, displaying neither an image nor a message noting the image is 
missing.

Expected Results:
An impressive logo display.

Additional Info:
As of 2007/12/18, the actual image being referenced above --
<https://engineering.redhat.com/docbot/en-
US/Documentation/0.9/html/Installation_Guide/Common_Content/images/redhat-logo.svg> -- is 
no longer extant.

However, the behaviour noted above for WebKit and Mozilla-based browers presented in the past, 
when Common_Content/images/redhat-logo.svg was extant.

Builds to PDF behave identically to Mozilla-based browsers: the image doesn't appear and there is no 
visible sign the image is missing.
Comment 1 Jeff Fearn 2008-01-01 20:20:49 EST
Defaulted Product to Documentation.
Comment 2 Jeff Fearn 2008-01-02 00:24:41 EST
Changed path to correct image.

Note You need to log in before you can comment on or make changes to this bug.